
Infrastructure - Task #4098

Synchronization should allow valid replicas held by MNs to set obsoletedBy and archive flags

2013-10-16 18:48 - Robert Waltz

Status: New Start date: 2012-07-12

Priority: Normal Due date: 2013-09-07

Assignee: Dave Vieglais % Done: 0%

Category: d1_synchronization Estimated time: 0.00 hour

Target version:    

Milestone: None Story Points:  

Product Version: *   

Description

Need to discuss what Matt has to say about client-MN interactions of Morpho.  Someone may have update capability on an object

but not have permission to modify on the authoritative MN.

History

#1 - 2013-10-16 18:49 - Robert Waltz

- Parent task set to #3910

#2 - 2013-10-28 20:32 - Robert Waltz

- Target version changed from 2013.35-Block.5.1 to 2013.44-Block.6.1

#3 - 2013-10-28 20:34 - Robert Waltz

- Product Version changed from 1.3.0 to 1.2.1

- Milestone changed from CCI-1.4 to CCI-1.2

#4 - 2013-10-30 00:56 - Robert Waltz

- Target version changed from 2013.44-Block.6.1 to 2013.46-Block.6.2

#5 - 2014-01-06 18:44 - Dave Vieglais

- Target version deleted (2013.46-Block.6.2)

#6 - 2014-07-25 20:25 - Robert Waltz

- Milestone changed from CCI-1.2 to CCI-1.4

- Product Version changed from 1.2.1 to 1.4.0

#7 - 2014-07-31 19:58 - Robert Waltz

- Target version set to 2014.30-Block.4.3

#8 - 2014-07-31 21:21 - Robert Waltz

- Assignee changed from Robert Waltz to Skye Roseboom

#9 - 2014-07-31 22:23 - Robert Waltz

- Product Version changed from 1.4.0 to *

- Parent task deleted (#3910)

- Priority changed from High to Normal

- Milestone changed from CCI-1.4 to None

- Assignee changed from Skye Roseboom to Dave Vieglais
Deferred until we can clarify this issue. 

Also, we have no way of locking the object on a replicated node. In V2, if MemberNodes control systemMetadata then the authoritative Membernode

should be the membernode modifying the systemMetadata and not a archival membernode.

This request hinges on DataONE's distributed architecture, whether DataONE Membernodes form an LOCKS system, a Peer-to-Peer network, or a

Computer Cluster. Each architecture has its own set of problems that need to be addressed. 

#10 - 2014-07-31 22:23 - Robert Waltz

- Target version deleted (2014.30-Block.4.3)
